/*
 * ApplicationCellRenderer.java
 *
 * Created on 08 March 2006, 10:19
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.runstate.licman;

import com.runstate.licman.entities.Application;
import com.runstate.licman.entities.Licence;
import com.runstate.licman.entities.User;
import com.runstate.licman.entities.Version;
import java.awt.Component;
import javax.swing.DefaultListCellRenderer;
import javax.swing.JList;

/**
 *
 * @author Dj
 */
public class SimpleCellRenderer extends DefaultListCellRenderer {
    
    /** Creates a new instance of ApplicationCellRenderer */
    public SimpleCellRenderer() {
    }
    
    public Component getListCellRendererComponent(JList list, Object value, int index, boolean isSelected, boolean cellHasFocus) {
        super.getListCellRendererComponent(list,value,index,isSelected,cellHasFocus);
        if(value instanceof Application)
        {
            setText(((Application)value).getApplicationname());
        }
        else if(value instanceof Version)
        {
            setText(((Version)value).getVersionname());
        }
        else if(value instanceof Licence)
        {
            setText(((Licence)value).getLicenceKey());
        }
        else if(value instanceof User)
        {
            setText(((User)value).getUserName());
        }
        return this;
    }
}
